<html>
<head>
<title>Embedded Marlowe in Haskell</title>
    <script language="javascript" src="../jquery/jquery.min.js"></script>
    <script language="javascript" src="rts.js"></script>
    <script language="javascript" src="lib.js"></script>
    <script language="javascript" src="out.js"></script>
  <style>
    html, body {
      padding: 0px;
      margin: 0px;
      height: 100%;
      width: 100%;
      display: table;
      background: #FFFFFF;
    }
    #container {
      width: 100%;
      left: 0px;
      top: 0px;
      bottom: 4em;
      position: absolute;
    }
    #left {
      left: 0px;
      top: 0px;	      
      width: 50%;
      height: 100%;
      resize: horizontal;
      position:relative;
      float: left;
      overflow: hidden;
    }
    #editor {
      margin-right: 10px;
    }
    #buttons {
      width: 100%;
      height: 100%;
    }
    #right {
      position: relative;
      height: 100%;      
      overflow: hidden;
    }
    #table {
      width: 100%;
      height: 100%;
    }
    .button {
      height: 100%;
      width: 100%;
    }
    .clear {
      clear: both;
    }
    #footer {
      width: 100%;
      height: 4em;
      bottom: 0px;
      position: absolute;
    }
    #textareaDiv {
      resize: none;
      height: 100%;
      width: 100%;
      border-style: solid;
      border-width: 1px;
    }
  </style>
</head>
<body>
<script src="../codemirror/lib/codemirror.js"></script>
<link rel="stylesheet" href="../codemirror/lib/codemirror.css">
<script src="../codemirror/mode/haskell/haskell.js"></script>
  <div id="container">
    <div id="left">
      <div id="editor">
      </div>
    </div>
    <div id="right">
      <div id="textarea">
      </div>
      <div id="textareaDiv"></div>
    </div>
    <div class="clear"></div>
  </div>
  <div id="footer">
<div id="buttons">
      <table id="table">
      <tr><td>
      <button class="button" disabled id="compile">Execute Haskell code</button>
      </td><td>
      <button class="button" disabled id="reset">Import Meadow contract to Haskell code and show help</button>
      </td><td>
      <button class="button" disabled id="example">Load escrow example</button>
      </td><td>
      <button class="button" disabled id="submit">Export generated contract to Meadow</button>
      </td><td>
      <button class="button" disabled id="upload">Load Haskell code from file</button>
      </td><td>
      <button class="button" disabled id="download">Save Haskell code to file</button>
      </td><td>
      <button class="button" disabled id="minimise">Minimise Haskell editor</button>
      </td><td>
      <button class="button" disabled id="cancel">Close Haskell editor</button>
      </td></tr>
      </table>
      </div>
  </div>
<script>
window.myCodeMirror = CodeMirror(document.getElementById("editor"), {
  value: "Loading...",
  mode:  "text/x-haskell"
});
window.myCodeMirror.setSize("100%", "100%");
window.textarea = CodeMirror(document.getElementById("textareaDiv"), {
  value: "Loading...",
  readOnly: true,
  lineWrapping: "true",
  mode: "text/plain"
});
window.textarea.setSize("100%", "100%");
</script>
  <script language="javascript" src="runmain.js" defer></script>
</body>
</html>
